## apt-forktracer 0.11

=== lib/apt_forktracer/tests/Makefile ===
# apt-forktracer - a utility for managing package versions
# Copyright (C) 2008 Marcin Owsiany <porridge@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

all:
	@echo -n '__all__ = [ ' > __init__.py
	@for f in [a-z]*.py;do n=$$(basename $$f .py); echo -n "'$$n', ";done >> __init__.py
	@echo ']' >> __init__.py
	cd ../../.. && ./run_tests.py

## apt-forktracer 0.1

=== debian/changelog ===
apt-forktracer (0.1) unstable; urgency=low

  * Initial release (closes: #506151, the ITP bug)

 -- Marcin Owsiany <porridge@debian.org>  Thu, 20 Nov 2008 17:30:15 +0000

=== debian/control ===
Source: apt-forktracer
Section: admin
Priority: optional
Maintainer: Marcin Owsiany <porridge@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), python, python-support (>= 0.3)
Standards-Version: 3.8.0
XS-Python-Version: >= 2.4

Package: apt-forktracer
Architecture: all
Depends: python-apt, ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: a utility for tracking non-official package versions
 apt-forktracer tries to alleviate the problem that APT stops tracking official
 versions of a package after you pin it or install a newer version.
 .
 It displays a list of packages which are in an inconsistent state or have a
 version other than the newest official installed. You can choose to ignore
 certain packages - if they match certain criteria - with a configuration file.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Adapted for apt-forktracer package
# Copyright 2002-2008 Marcin Owsiany
# License: GPL v2 or later

#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	python setup.py build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	python setup.py clean
	rm -rf build
	dh_clean

install: build
	dh_testdir
	dh_testroot
	python setup.py install --no-compile \
		--install-scripts $(CURDIR)/debian/apt-forktracer/usr/bin \
		--install-lib     $(CURDIR)/debian/apt-forktracer/usr/share/apt-forktracer
	rm -f                     $(CURDIR)/debian/apt-forktracer/usr/share/apt-forktracer/apt_forktracer-*.egg-info

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman apt-forktracer.pl.8 apt-forktracer.8 forktracer.conf.pl.5 forktracer.conf.5
	dh_installchangelogs
	dh_pysupport
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install
# We have nothing to do.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## apt-forktracer 0.2

=== debian/changelog ===
apt-forktracer (0.2) unstable; urgency=low

  * Added the ability to read LSB distributor's ID by importing lsb_release
    Python module, that has been recently provided by lsb-release package.

 -- Marcin Owsiany <porridge@debian.org>  Sat, 06 Jun 2009 13:31:22 +0100

## apt-forktracer 0.3

=== debian/changelog ===
apt-forktracer (0.3) unstable; urgency=medium

  * Updated unit tests to use mox instead of pmock, which is dead.
  * Updated to use the so-called 0.8 API of python-apt. Setting urgency medium
    to make sure it migrates to testing before release, getting rid of those
    ugly deprecation warnings. (closes: #567137)
  * Added a versioned Recommends on lsb-release. (closes: #532746)
  * Bumped standards-version to 3.8.4 (no changes needed).
  * Bumped DH compat version to 7 (as well as DH build-dep version).
  * Added a debian/source/format file with "3.0 (native)"

 -- Marcin Owsiany <porridge@debian.org>  Sun, 28 Mar 2010 21:20:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: Marcin Owsiany <porridge@debian.org>
-Build-Depends: debhelper (>= 5.0.37.2), python, python-support (>= 0.3)
-Standards-Version: 3.8.0
+Build-Depends: debhelper (>= 7), python, python-support (>= 0.3)
+Standards-Version: 3.8.4
 XS-Python-Version: >= 2.4
 
 Package: apt-forktracer
 Architecture: all
-Depends: python-apt, ${python:Depends}, ${misc:Depends}
+Depends: python-apt (>= 0.7.93.2), ${python:Depends}, ${misc:Depends}
+Recommends: lsb-release (>= 3.2-21)
 XB-Python-Version: ${python:Versions}
 Description: a utility for tracking non-official package versions
  apt-forktracer tries to alleviate the problem that APT stops tracking official

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	dh_testroot
 	rm -f build-stamp 
 	python setup.py clean
+	find . -type f -name '*.py[oc]' -delete
 	rm -rf build
 	dh_clean

## apt-forktracer 0.4

=== debian/changelog ===
apt-forktracer (0.4) unstable; urgency=medium

  * Upgrade lsb-release recommends to depends. (Closes: #651639)
  * Adjusted apt_pkg_adapter.NullProgress for new pyapt API. (Closes: #625566)
  * Bumped Standards-Version, no changes needed.
  * Move to debhelper 8, start using dh.

 -- Marcin Owsiany <porridge@debian.org>  Thu, 15 Dec 2011 20:00:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Marcin Owsiany <porridge@debian.org>
-Build-Depends: debhelper (>= 7), python, python-support (>= 0.3)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8), python, python-support (>= 0.3)
+Standards-Version: 3.9.2
 XS-Python-Version: >= 2.4
 
 Package: apt-forktracer
 Architecture: all
-Depends: python-apt (>= 0.7.93.2), ${python:Depends}, ${misc:Depends}
-Recommends: lsb-release (>= 3.2-21)
+Depends: python-apt (>= 0.7.93.2), ${python:Depends}, ${misc:Depends}, lsb-release (>= 3.2-21)
 XB-Python-Version: ${python:Versions}
 Description: a utility for tracking non-official package versions
  apt-forktracer tries to alleviate the problem that APT stops tracking official

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh  $@

# Install the module as private.
override_dh_auto_install:
	python setup.py install --no-compile \
		--install-scripts $(CURDIR)/debian/apt-forktracer/usr/bin \
		--install-lib     $(CURDIR)/debian/apt-forktracer/usr/share/apt-forktracer
	rm -f                     $(CURDIR)/debian/apt-forktracer/usr/share/apt-forktracer/apt_forktracer-*.egg-info

## apt-forktracer 0.5

=== debian/changelog ===
apt-forktracer (0.5) unstable; urgency=low

  * Migrate from python-support to dh-python. (Closes: #785958)
    Thanks to Ubuntu guys for the patch!
  * Bumped Standards-Version, no changes needed.

 -- Marcin Owsiany <porridge@debian.org>  Sat, 27 Jun 2015 22:35:04 +0200

=== debian/control ===
Source: apt-forktracer
Section: admin
Priority: optional
Maintainer: Marcin Owsiany <porridge@debian.org>
Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~), dh-python
Standards-Version: 3.9.6
X-Python-Version: >= 2.4

Package: apt-forktracer
Architecture: all
Depends: python-apt (>= 0.7.93.2), ${python:Depends}, ${misc:Depends}, lsb-release (>= 3.2-21)
Description: utility for tracking non-official package versions
 apt-forktracer tries to alleviate the problem that APT stops tracking official
 versions of a package after you pin it or install a newer version.
 .
 apt-forktracer displays a list of packages which are in an inconsistent state,
 or whose installed version is different than the newest official one. You can
 choose to ignore certain packages - if they match certain criteria - using
 a configuration file.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

# Install the module as private.
override_dh_auto_install:
	python setup.py install --no-compile \
		--root=debian/apt-forktracer \
		--install-layout=deb \
		--install-scripts=/usr/bin \
		--install-lib=/usr/share/apt-forktracer
	rm -f debian/apt-forktracer/usr/share/apt-forktracer/apt_forktracer-*.egg-info

## apt-forktracer 0.5+nmu1

=== debian/changelog ===
apt-forktracer (0.5+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:18:45 +0800

## apt-forktracer 0.7

=== debian/changelog ===
apt-forktracer (0.7) unstable; urgency=medium

  * Explicitly specify pybuild buildsystem to prevent debhelper from crashing
    due to lack of pyversions. (Closes: #923716)

 -- Marcin Owsiany <porridge@debian.org>  Mon, 04 Mar 2019 19:40:18 +0100

apt-forktracer (0.6) unstable; urgency=low

  * Converted to Python 3
  * Bumped Standards-Version and DH compat level

 -- Marcin Owsiany <porridge@debian.org>  Sun, 03 Mar 2019 15:04:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: admin
 Priority: optional
 Maintainer: Marcin Owsiany <porridge@debian.org>
-Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~), dh-python
-Standards-Version: 3.9.6
-X-Python-Version: >= 2.4
+Build-Depends: debhelper (>> 9), python3, dh-python
+Standards-Version: 4.3.0
+Homepage: http://owsiany.pl/apt-forktracer-page
+Vcs-Git: https://github.com/porridge/apt-forktracer
+Vcs-Browser: https://github.com/porridge/apt-forktracer
 
 Package: apt-forktracer
 Architecture: all
-Depends: python-apt (>= 0.7.93.2), ${python:Depends}, ${misc:Depends}, lsb-release (>= 3.2-21)
+Depends: python3-apt, ${python3:Depends}, ${misc:Depends}, lsb-release (>= 3.2-21)
 Description: utility for tracking non-official package versions
  apt-forktracer tries to alleviate the problem that APT stops tracking official
  versions of a package after you pin it or install a newer version.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with python2
+	dh $@ --with python3 --buildsystem=pybuild
 
 # Install the module as private.
 override_dh_auto_install:
-	python setup.py install --no-compile \
+	python3 setup.py install --no-compile \
 		--root=debian/apt-forktracer \
 		--install-layout=deb \
 		--install-scripts=/usr/bin \

=== debian/tests/control ===
Test-Command: apt-forktracer
Features: test-name=smoke

## apt-forktracer 0.9

=== debian/changelog ===
apt-forktracer (0.9) unstable; urgency=medium

  * Version bump only, just to be able to do a source-only upload.

 -- Marcin Owsiany <porridge@debian.org>  Thu, 31 Dec 2020 17:13:48 +0100

apt-forktracer (0.8) unstable; urgency=medium

  [Debian Janitor <janitor@jelmer.uk>]

  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Use canonical URL in Vcs-Git.
  * Update standards version to 4.5.0, no changes needed.

  [Marcin Owsiany]

  * Add a couple more ways of calling the program, to increase coverage
    enough not to warrant a "superficial" restriction. (Closes: #974435)
  * Update standards version to 4.5.1, no changes needed.

 -- Marcin Owsiany <porridge@debian.org>  Tue, 22 Dec 2020 10:52:55 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Marcin Owsiany <porridge@debian.org>
-Build-Depends: debhelper (>> 9), python3, dh-python
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12), python3, dh-python
+Standards-Version: 4.5.1
 Homepage: http://owsiany.pl/apt-forktracer-page
-Vcs-Git: https://github.com/porridge/apt-forktracer
+Vcs-Git: https://github.com/porridge/apt-forktracer.git
 Vcs-Browser: https://github.com/porridge/apt-forktracer
 
 Package: apt-forktracer

## apt-forktracer 0.10

=== debian/changelog ===
apt-forktracer (0.10) unstable; urgency=high

  [Debian Janitor <janitor@jelmer.uk>]

  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + apt-forktracer: Drop versioned constraint on lsb-release in Depends.

  [Marcin Owsiany]

  * Do not fail build if egg-info is a directory. (Closes: #1054844)
  * Delete egg-info in the clean target.

 -- Marcin Owsiany <porridge@debian.org>  Sat, 28 Oct 2023 07:38:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: admin
 Priority: optional
 Maintainer: Marcin Owsiany <porridge@debian.org>
-Build-Depends: debhelper-compat (= 12), python3, dh-python
-Standards-Version: 4.5.1
-Homepage: http://owsiany.pl/apt-forktracer-page
+Build-Depends: debhelper-compat (= 13), python3, dh-python
+Standards-Version: 4.6.1
+Homepage: https://owsiany.pl/apt-forktracer-page
 Vcs-Git: https://github.com/porridge/apt-forktracer.git
 Vcs-Browser: https://github.com/porridge/apt-forktracer
 
 Package: apt-forktracer
 Architecture: all
-Depends: python3-apt, ${python3:Depends}, ${misc:Depends}, lsb-release (>= 3.2-21)
+Depends: python3-apt, ${python3:Depends}, ${misc:Depends}, lsb-release
 Description: utility for tracking non-official package versions
  apt-forktracer tries to alleviate the problem that APT stops tracking official
  versions of a package after you pin it or install a newer version.

## apt-forktracer 0.11

=== debian/changelog ===
apt-forktracer (0.11) unstable; urgency=medium

  * Add build-dep, bump standards version. (Closes: #1080537)

 -- Marcin Owsiany <porridge@debian.org>  Fri, 20 Sep 2024 18:09:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Marcin Owsiany <porridge@debian.org>
-Build-Depends: debhelper-compat (= 13), python3, dh-python
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), python3, dh-python, python3-setuptools
+Standards-Version: 4.7.0
 Homepage: https://owsiany.pl/apt-forktracer-page
 Vcs-Git: https://github.com/porridge/apt-forktracer.git
 Vcs-Browser: https://github.com/porridge/apt-forktracer

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,7 @@
 		--install-layout=deb \
 		--install-scripts=/usr/bin \
 		--install-lib=/usr/share/apt-forktracer
-	rm -f debian/apt-forktracer/usr/share/apt-forktracer/apt_forktracer-*.egg-info
+	rm -rf debian/apt-forktracer/usr/share/apt-forktracer/apt_forktracer-*.egg-info
+
+execute_after_dh_auto_clean:
+	rm -rf lib/apt_forktracer.egg-info

=== debian/tests/control ===
Test-Command: apt-forktracer
Features: test-name=smoke

Test-Command: apt-forktracer --verbose
Features: test-name=verbose

Test-Command: APT_FORKTRACER_OVERRIDE_DISTRIBUTOR_ID=fake-id apt-forktracer | grep .
Features: test-name=report-everything

## apt-forktracer 0.11build1

=== debian/changelog ===
apt-forktracer (0.11build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 13 Jan 2026 19:44:27 +0000
